org.apache.cxf.transport.common.gzip

## Class GZIPInInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.transport.common.gzip.GZIPInInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class GZIPInInterceptor
      extends AbstractPhaseInterceptor<Message>

  CXF interceptor that uncompresses those incoming messages that have "gzip" content-encoding. An instance of this class should be added as an in and inFault interceptor on clients that need to talk to a service that returns gzipped responses or on services that want to accept gzipped requests. For clients, you probably also want to use `org.apache.cxf.transports.http.configuration.HTTPClientPolicy#setAcceptEncoding` to let the server know you can handle compressed responses. To compress outgoing messages, see `GZIPOutInterceptor`. This class was originally based on one of the CXF samples (configuration_interceptor).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPInInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleMessage(Message message)` Intercepts a message.

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZIPInInterceptor

          public GZIPInInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)
                             throws Fault

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
      Throws:
        `Fault`

Apache CXF